/**
 * generated by Xtext 2.18.0.M3
 */
package tdt4250.ra;

import org.eclipse.xtext.conversion.IValueConverterService;
import org.eclipse.xtext.naming.IQualifiedNameProvider;
import org.eclipse.xtext.scoping.IScopeProvider;
import tdt4250.ra.customizations.Rax2QualifiedNameProvider;
import tdt4250.ra.customizations.Rax2ValueConverters;
import tdt4250.ra.scoping.Rax2ScopeProvider;

/**
 * Use this class to register components to be used at runtime / without the Equinox extension registry.
 */
@SuppressWarnings("all")
public class Rax2RuntimeModule extends AbstractRax2RuntimeModule {
  @Override
  public Class<? extends IValueConverterService> bindIValueConverterService() {
    return Rax2ValueConverters.class;
  }

  @Override
  public Class<? extends IQualifiedNameProvider> bindIQualifiedNameProvider() {
    return Rax2QualifiedNameProvider.class;
  }

  @Override
  public Class<? extends IScopeProvider> bindIScopeProvider() {
    return Rax2ScopeProvider.class;
  }
}
